@if (adminProjectViewComponentData) {
  <div class="project-ai-server-grid">
    <sqtm-core-label [text]="'sqtm-core.entity.ai-server.label' | translate">
    </sqtm-core-label>
    <div class="flex-row">
      <sqtm-core-editable-select-field
        class="flex-grow-shrink"
        [attr.data-test-field-id]="'ai-server-options'"
        [options]="
          getAiServers(adminProjectViewComponentData.project.availableAiServers)
        "
        [value]="getSelectedValue()"
        (confirmEvent)="confirmAiServer($event)"
        layout="no-buttons"
      >
      </sqtm-core-editable-select-field>
    </div>
  </div>
}
